Windows 2000 Modernization Tips

2»

Comments

  • Oh, I thought that was a download page itself as opposed to linking to the real one. There are several sites (looking at you, oldapps.com) that have decayed to the point all downloads are broken.

    I still won't be able to test them. But I do believe that Windows Server 2003/XP x64 is the best NT 5.x OS for running DX10 games/software, and 2000 is at the bottom of the pack, even with the extended kernel.

  • edited February 3

    Beware that the latest version of the Windows 2000 extended kernel, v2.9bG may create a corrupted riched20.dll dated July 2015. The WordPad/RTF engine relies on it, and many Windows Installers will fail when tasked with displaying an EULA (error code 2894).

    You should expand and transplant riched20.dll from SP5.1 installation media, dated November 2006.

    Playing videos in VLC 3.0.6 does work with this version of the kernel, as opposed to v2.8iG.

  • edited February 25

    BWC is working on releasing a new version of the extended kernel, which should hopefully be out in March:
    https://msfn.org/board/topic/149233-kernelex-for-win2000/?do=findComment&comment=1160339

  • edited February 28

    I had previously stated that Photoshop CS5/6 were impossible on W2K, due to the hurdles presented by the AAM module that fervently requested XP SP3.

    Luckily, the fcwin2k package from BWC makes bypassing version checks a breeze:
    http://blog.livedoor.jp/blackwingcat/archives/1949743.html

    I used NNN4NT5 to have the OS identify as 7 SP1. The PS CS5 setup completed, and I'm pleased to say that it works perfectly (aside from losing 3D acceleration support on my GF210). CS6 is not optimal on NT 5.x due to the blocking of 3D features, though with the hacked OS identifier I might get it work.

    Adobe Bridge CS5 works, unlike CS3 and CS4 oddly enough.

  • I wonnder if newer versions of firefox or Opera will work

  • This may help. It can help modernize win2k up abit

  • edited February 28

    W2K Advanced and Datacenter servers support Intel Physical Addressing Extensions (PAE) mode which allows a server to use more than 4GB of memory,That may help

  • BWC made a list of browsers compatible with the extended kernel:
    http://w2k.flxsrv.org/brwk2.htm (please note that New Moon works up to the latest version, which is now 28.5)

    With NT6 compatibility set, Firefox 53 (the first version that officially supports Windows 7 and up) will work as well: http://blog.livedoor.jp/blackwingcat/archives/1948228.html

    But New Moon (which is going to be renamed soon) for win2k extended kernel/XP/Vista is still regularly updated, and is the best choice for browsing on win2k.

    I'm aware of that video (which only scratches the surface of the capabilities of the extended kernel) and PAE. In fact, I just changed from pro to advanced server so I'll be ready to max out my board at 8 GB.

  • Illustrator CS6 is a no-go. It loads the plug-ins, gets stuck and disappears into thin air.

    Ah well, that's why I've got VMware Workstation 6.5 which can do Aero in guests :)

  • edited March 2

    Now I've got some advice regarding virtualization software on Windows 2000.

    Preferably, install a program that is compatible with the vanilla OS (and with the OS identifier set to win2k), as installing newer versions under the guise of XP or 7 will confuse them, and not install services that are necessary for it to function. In fact any program that natively supports 2000 should be installed without any trickery for best results.

    In fact, I blue screened win2k when installing 7 x64 in VMware Player 3.1.2 (workstation 7.x based). Attempting to enable Aero caused it to crash and eventually corrupt the VMs (in Vista and 7), then I had problems with my mouse being unresponsive.

  • Windows 2000 has a new extended kernel:

    http://blog.livedoor.jp/blackwingcat/archives/1979961.html

    I'm excited to try it!

  • Ooh, I'll have to try this one out later on also.

  • Windows 2000 extended kernel version 3.0 has been released!

    http://blog.livedoor.jp/blackwingcat/archives/1980734.html

    He released version 2 in August 2012 so this is a decent milestone.

    A few days earlier he also released an installer for WMP 11.

  • edited April 28

    This is undoubtedly the best firewall a Windows 2000 user can get:

    http://web.archive.org/web/20040202070414/http://www.kerio.com/dwn/kpf/kerio-pf-2.1.5-en-win.exe

    Very granular, uses ~7 MB of RAM and is compatible with the extended kernel and core (ZoneAlarm 6.5, for example, will force a BSoD when installing with the latter).

  • I've been trying to get Windows 2000 to cooperate with my AudioQuest Dragonfly 1.5 Black DAC. Windows recognizes it and uses the generic USB audio driver, but the sound gets distorted. Windows Me, however, also uses the generic USB audio driver, but it works fine on that version. At first I thought it was the computer but I tried it on a different one and it did the same thing, so it's definitely something with Windows 2000 or its driver.

  • edited May 10

    @nick99nack, the audio component seems to rely on these particular drivers:

    -usbaudio.sys
    -ks.sys
    -kmixer.sys

    You could try replacing them with the Windows Me versions (which are also WDM).

    Or check to see if your versions of those files are the latest. The latest are respectively:

    5.0.2195.7019
    5.3.0.900
    (kmixer was never updated)

  • I was thinking either trying that, or using the Windows XP versions. It seems to work well under XP also. I guess I could try both.

  • edited May 18

    While I'm still nowhere with the USB DAC (the Windows ME driver didn't help), I did discover that you can run Chrome 49 with the kernel extensions by copying chrome_elf.dll to the system32 folder, and creating an icon that includes the following parameters:

    --no-sandbox --disable-infobars

    The second one is optional, but I recommend it so Chrome doesn't nag you as much about being the default browser and the fact that sandboxing is disabled. It does pop up a message box saying "Chrome requires XP or later. Some features may not work" but I haven't had any trouble with it. I really only use it for Facebook, because Facebook on PaleMoon-like browsers is very slow.

  • Advanced Chrome (Chromium 54) for Windows XP is also possible, but Yandex Browser (Chromium 57) doesn't work due to missing shell32 functions; 360 Extreme Explorer (Chromium 69) partially works but extensions are broken on Windows 2000 (on XP it works great).

Sign In or Register to comment.